Subject: bug#28810: closed (Re: bug#28810: Bayfront https file URLs trigger gnutls error)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Dec 2020 02:57:02 +0000

Your bug report

#28810: Bayfront https file URLs trigger gnutls error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28810: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28810
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28810: Bayfront https file URLs trigger gnutls error
From: Maxim Cournoyer <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Fri, 18 Dec 2020 21:56:25 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

zimoun <[email-masked]> writes:

> Hi Maxim,
>
> I think this bug is not relevant anymore.  
>
> <http://issues.guix.gnu.org/issue/28810>
>
> On Fri, 13 Oct 2017 at 10:24, Maxim Cournoyer <[email-masked]> wrote:
>
>> guix download "https://bayfront.guixsd.org/file/nnn-1.3.tar.gz/sha256/0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb"
>>
>> Starting download of /tmp/guix-file.h3ueYx
>>>>From https://bayfront.guixsd.org/file/nnn-1.3.tar.gz/sha256/0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb...
>> ERROR: Throw to key `gnutls-error' with args `(#<gnutls-error-enum An unimplemented or disabled feature has been requested.> peer-certificate-status)'.
>> failed to download "/tmp/guix-file.h3ueYx" from "https://bayfront.guixsd.org/file/nnn-1.3.tar.gz/sha256/0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb"
>> guix download: error:
>> https://bayfront.guixsd.org/file/nnn-1.3.tar.gz/sha256/0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb:
>> download failed
>>
>>
>> For other substitute servers such as berlin, it works as expected:
>>
>> guix download "https://berlin.guixsd.org/file/nnn-1.3.tar.gz/sha256/0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb"
>>
>> Starting download of /tmp/guix-file.Vrr8fE
>>>>From https://berlin.guixsd.org/file/nnn-1.3.tar.gz/sha256/0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb...
>>  …n06pyvvqdqh8x0mwkhvm434fpb  30KiB                     4.1MiB/s 00:00 [####################] 100.0%
>> /gnu/store/7zs4s23a5wwp7cpiaqxhrnkbv3bb5w3k-0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb
>> 0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb
>
> Closing?

I've downloaded about a hundred substitutes from Berlin, and none
triggered the problem reported here.

Also, wget
https://berlin.guixsd.org/file/nnn-v3.5.tar.gz/sha256/1ww18vvfjkvi36rcamw8kpix4bhk71w5bw9kmnh158crah1x8dp6
-> OK.

Closing,

Thanks!

Maxim

Subject: Bayfront https file URLs trigger gnutls error
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Fri, 13 Oct 2017 10:24:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I recently stumbled upon the following:

--8<---------------cut here---------------start------------->8---
guix download "https://bayfront.guixsd.org/file/nnn-1.3.tar.gz/sha256/0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb"

Starting download of /tmp/guix-file.h3ueYx
>From https://bayfront.guixsd.org/file/nnn-1.3.tar.gz/sha256/0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb...
ERROR: Throw to key `gnutls-error' with args `(#<gnutls-error-enum An unimplemented or disabled feature has been requested.> peer-certificate-status)'.
failed to download "/tmp/guix-file.h3ueYx" from "https://bayfront.guixsd.org/file/nnn-1.3.tar.gz/sha256/0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb"
guix download: error:
https://bayfront.guixsd.org/file/nnn-1.3.tar.gz/sha256/0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb:
download failed
--8<---------------cut here---------------end--------------->8---

For other substitute servers such as berlin, it works as expected:

--8<---------------cut here---------------start------------->8---
guix download "https://berlin.guixsd.org/file/nnn-1.3.tar.gz/sha256/0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb"

Starting download of /tmp/guix-file.Vrr8fE
>From https://berlin.guixsd.org/file/nnn-1.3.tar.gz/sha256/0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb...
 …n06pyvvqdqh8x0mwkhvm434fpb  30KiB                     4.1MiB/s 00:00 [####################] 100.0%
/gnu/store/7zs4s23a5wwp7cpiaqxhrnkbv3bb5w3k-0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb
0sivgcmg3hihz15v2wgbxnd0icn06pyvvqdqh8x0mwkhvm434fpb
--8<---------------cut here---------------end--------------->8---

Maxim